<?php 
$caminhoEnv = dirname(__DIR__) . '/.env'; 

if (file_exists($caminhoEnv)) {
    $linhas = file($caminhoEnv, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
    foreach ($linhas as $linha) {
        if (strpos(trim($linha), '#') === 0) continue;
        
        if (strpos($linha, '=') !== false) {
            list($nome, $valor) = explode('=', $linha, 2);
            $nome = trim($nome);
            $valor = trim($valor);
            
            // Remove aspas se existirem
            $valor = trim($valor, "\"'");
            
            putenv("$nome=$valor");
            $_ENV[$nome] = $valor;
        }
    }
}

define('DB_HOST','localhost');
define('DB_USER','iceamicr_jonasse');
define('DB_PASS','M12jK9118*');
define('DB_NAME','iceamicr_fleusa');
?>